/* 
 * Copyright (C) 2008 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer <laird@lbreyer.com>
 */

#ifndef MASK_H
#define MASK_H

#include "common.h"
#include "imagebuffer.h"

/* the mask object creates masks by reading pixels in the imagebuffer
 * at level 0, and writing pixels at level 1.
 */ 
typedef struct {
  struct {
    int xmin, xmax;
    int ymin, ymax;
  } r, c;
} mask_t;

bool_t create_mask(mask_t *m);
bool_t free_mask(mask_t *m);

bool_t make_component_bw_mask(mask_t *m, imagebuffer_t *ib, int x, int y,
			      int from, int to);

#endif
